## org.apache.tools.ant.types
Class Description

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Description

public class Description
extends DataType

Description is used to provide a project-wide description element (that is, a description that applies to a buildfile as a whole). If present, the <description> element is printed out before the target descriptions. Description has no attributes, only text. There can only be one project description per project. A second description element will overwrite the first.

Version:
  $Revision: 1.7.2.1 $ $Date: 2003/02/10 14:25:22 $
Author:
  Craeg Strong

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Description()`

Method Summary
`void` `addText(java.lang.String text)` Adds descriptive text to the project.

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Description

    public Description()

Method Detail

### addText

    public void addText(java.lang.String text)

  Adds descriptive text to the project.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.